<?php
/**
 * Copyright 2013 Horde LLC (http://www.horde.org/)
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/licenses/bsd.
 *
 * @author   Jan Schneider <jan@horde.org>
 * @category Horde
 * @license  http://www.horde.org/licenses/bsd BSD
 * @package  Dav
 */

/**
 * Horde_Dav_Translation is the translation wrapper class for Horde_Dav.
 *
 * @author   Jan Schneider <jan@horde.org>
 * @category Horde
 * @license  http://www.horde.org/licenses/bsd BSD
 * @package  Dav
 */
class Horde_Dav_Translation extends Horde_Translation
{
    /**
     * Returns the translation of a message.
     *
     * @var string $message  The string to translate.
     *
     * @return string  The string translation, or the original string if no
     *                 translation exists.
     */
    static public function t($message)
    {
        self::$_domain = 'Horde_Dav';
        self::$_directory = '/usr/share/psa-pear/pear/data' == '@'.'data_dir'.'@' ? __DIR__ . '/../../../locale' : '/usr/share/psa-pear/pear/data/Horde_Dav/locale';
        return parent::t($message);
    }

    /**
     * Returns the plural translation of a message.
     *
     * @param string $singular  The singular version to translate.
     * @param string $plural    The plural version to translate.
     * @param integer $number   The number that determines singular vs. plural.
     *
     * @return string  The string translation, or the original string if no
     *                 translation exists.
     */
    static public function ngettext($singular, $plural, $number)
    {
        self::$_domain = 'Horde_Dav';
        self::$_directory = '/usr/share/psa-pear/pear/data' == '@'.'data_dir'.'@' ? __DIR__ . '/../../../locale' : '/usr/share/psa-pear/pear/data/Horde_Dav/locale';
        return parent::ngettext($singular, $plural, $number);
    }
}
